Package javax.portlet

## Class WindowStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.portlet.PortletException
      - - javax.portlet.WindowStateException

All Implemented Interfaces:
  `java.io.Serializable`

    public class WindowStateException
    extends PortletException

The `WindowStateException` is thrown when a portlet tries to use a window state that is not supported by the current runtime environment or the portlet.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`WindowStateException​(java.lang.String text, java.lang.Throwable cause, WindowState state)` Constructs a new portlet state exception when the portlet needs to do the following: <il>throw an exception include a message about the "root cause" that interfered with its normal operation include a description message
`WindowStateException​(java.lang.String text, WindowState state)` Constructs a new portlet state exception with the given text.
`WindowStateException​(java.lang.Throwable cause, WindowState state)` Constructs a new portlet state exception when the portlet needs to throw an exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`WindowState` `getState()` Returns the portlet state causing this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WindowStateException

    public WindowStateException​(java.lang.String text,
                                WindowState state)

Constructs a new portlet state exception with the given text. The portlet container may use the text write it to a log.

Parameters:
  `text` - the exception text
  `state` - the state causing the exception

#### WindowStateException

    public WindowStateException​(java.lang.String text,
                                java.lang.Throwable cause,
                                WindowState state)

Constructs a new portlet state exception when the portlet needs to do the following:

<il>throw an exception
- include a message about the "root cause" that interfered with its normal operation
- include a description message

Parameters:
  `text` - the exception text
  `cause` - the root cause
  `state` - the state causing the exception

#### WindowStateException

    public WindowStateException​(java.lang.Throwable cause,
                                WindowState state)

Constructs a new portlet state exception when the portlet needs to throw an exception. The exception message is based on the localized message of the underlying exception.

Parameters:
  `cause` - the root cause
  `state` - the state causing the exception

### Method Detail

#### getState

    public WindowState getState()

Returns the portlet state causing this exception.

Returns:
  the window state causing this exception